#include <iostream>

using namespace std;

int main()
{
    int N;
    long long br=0, bj=0;
    cin>>N;
    long long  X[N], Y[N], Z[N], Ji[N];
    for(int i=1; i<=N; i++)
        cin>>X[i];
    for(int j=1; j<=N; j++)
    {
        cin>>Y[j];
        for(int i=1; i<=N; i++)
        {
            if(X[i]==Y[j])
                {Ji[bj]=j;bj++;}
        }
    }

    for(int k=1; k<=N; k++)
        {
            cin>>Z[k];
            for(int i=0; i<bj; i++)
            {
                if(Z[k]==Ji[i])
                    br++;
            }

        }
    cout<<br;
    return 0;
}